
Katello - Bug #4040

Going directly to /katello while logged out routes to correct login path but gets 404 instead

01/16/2014 05:47 PM - Katello Issue Migration

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The error is ```No route matches {:action=>"login", :controller=>"users"}```

On the other hand, going to ```/``` redirects to the login page without a problem.

Once logged-in, ```/katello``` does not error.

This [error happens on the engine branch](https://github.com/Katello/katello/tree/engine)

In ```katello.yml``` I recently set ```use_ssl=false``` related to a different failing redirect, but this is most likely unrelated to any such

change.  I suspect it has something to do with the engine being isolated from the routes of the host application.

Additionally, [I filed this in Bugzilla](https://bugzilla.redhat.com/show_bug.cgi?id=1032226) with just a link back here. If you fix it,

update Bugzilla for QE or let me know and I will.

Created: mkelley33 on November 19, 2013 18:11 +00:00

Imported from https://api.github.com/repos/Katello/katello/issues/3405

History

#1 - 06/03/2014 07:30 PM - Eric Helms

- Status changed from New to Closed

- Triaged set to No

Tested and no longer an issue.

#2 - 06/05/2014 03:32 AM - Eric Helms

- Triaged changed from No to Yes

#3 - 08/21/2014 02:20 PM - Eric Helms

- translation missing: en.field_release set to 13
